export default class Batcher<T, R> {
    private readonly fn;
    private readonly maxBatchSize?;
    private readonly q;
    private flushing;
    constructor(fn: (vals: T[]) => Promise<R[]>, maxBatchSize?: number | undefined);
    private maybeFlush;
    execute(input: T): Promise<R>;
}
